[Task] Enable phase 1 for Meta-Wiki
Closed, ResolvedPublic

Description

Right now we can't add sitelinks to Meta-Wiki in Wikidata, it would be nice if we could.

T89973 is a potential use for the links.

https://www.wikidata.org/wiki/Wikidata:Meta-Wiki

See also
T54971: [Goal] Sitelinks to Incubator, OldWikisource and BetaWikiversity
T73685: [Task] Turn mediawiki.org into a Wikidata client

Nikki created this task.Aug 12 2015, 1:43 PM
Nikki updated the task description. (Show Details)
Nikki raised the priority of this task from to Needs Triage.
Nikki added a project: Wikidata.
Nikki added a subscriber: Nikki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 1:43 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis set Security to None.
Nemo_bis added a subscriber: Nemo_bis.

I think this is a duplicate(?) but can't find the original one now.

matej_suchanek updated the task description. (Show Details)
Lydia_Pintscher renamed this task from Allow sitelinks to Meta-Wiki to [Task] Enable phase 1 for Meta-Wiki.Aug 19 2015, 12:55 PM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Ricordisamoa added a subscriber: Ricordisamoa.

I think this is a duplicate

Dunno, seems not. I agree that such bugs are hard to find so a while ago I added this one to https://www.wikidata.org/wiki/Wikidata:Meta-Wiki for clarity.

This seems great news!

Johan added a subscriber: Johan.Oct 15 2015, 7:01 AM

What's the timeline for this?

aude claimed this task.Oct 15 2015, 9:08 PM
aude moved this task from Proposed to Doing on the Wikidata-Sprint-2015-10-13 board.

Change 246696 had a related patch set uploaded (by Aude):
Add i18n messages for Meta-Wiki, MediaWiki wiki and Wikispecies site links on Wikidata

https://gerrit.wikimedia.org/r/246696

Change 246782 had a related patch set uploaded (by Aude):
Add MediaWiki, Meta-Wiki and Wikispecies to Wikibase special site groups

https://gerrit.wikimedia.org/r/246782

Change 247593 had a related patch set uploaded (by Aude):
Add MediaWiki, Meta-Wiki and Wikispecies to Wikibase special site groups

https://gerrit.wikimedia.org/r/247593

aude added a comment.Oct 20 2015, 4:23 PM

added wbc_entity_usage table and re-populated sites table on metawiki (and mediawikiwiki + specieswiki) to have https protocol links

aude added a comment.Oct 20 2015, 4:58 PM

there are some unrelated issues that ops are investigating (job queue, db load...). this means it's not a good time to deploy right now and I'd like to reschedule this for tomorrow (probably 12:00 UTC)

Change 246782 merged by jenkins-bot:
Add MediaWiki, Meta-Wiki and Wikispecies to Wikibase special site groups (test wikis)

https://gerrit.wikimedia.org/r/246782

Change 247593 merged by jenkins-bot:
Add MediaWiki, Meta-Wiki and Wikispecies to Wikibase special site groups

https://gerrit.wikimedia.org/r/247593

Change 247764 had a related patch set uploaded (by Hoo man):
Enable WikibaseClient on mediawikiwiki, metawiki and specieswiki

https://gerrit.wikimedia.org/r/247764

Change 247764 merged by jenkins-bot:
Enable WikibaseClient on mediawikiwiki, metawiki and specieswiki

https://gerrit.wikimedia.org/r/247764

hoo closed this task as Resolved.Oct 21 2015, 12:26 AM
hoo removed a project: Patch-For-Review.
hoo moved this task from Doing to Done on the Wikidata-Sprint-2015-10-13 board.
mxn added a subscriber: mxn.Nov 3 2015, 2:26 AM